<?php
/*
Plugin Name: TeamBooking Action Hook - Example 9 (tbk_reservation_email_to_customer)
Description: Add a CC e-mail address if the reservation is for a particular service. It is just a documentation example, take it as a starting point.
Version:     1.0
Author:      VonStroheim
License:     MIT
License URI: https://opensource.org/licenses/MIT
*/

function example_one_tbk_reservation_email_to_customer($email, $reservation){
    // if the reservation is for "music-class", let's add our CC
    if ($reservation->getServiceId() === 'music-class') {
        $email->setCc('john@example.com', 'John Music');
    }
}

add_action('tbk_reservation_email_to_customer', 'example_one_tbk_reservation_email_to_customer', 10, 2);